Usar paquetes de terceros

Ya vimos lo fácil que es instalar el paquete composer a través de una de las siguientes dos opciones:

  • Ejecutar un comando como require vendor/package:2.* vendor/package2:dev-master
  • Agregar un paquete de información de enlace en composer.json require, y ejecutar composer install en la consola

Sin saber qué paquete podríamos necesitar exactamente, podríamos usar la herramienta de búsqueda https://packagist.org para encontrarlo. Consideremos, por ejemplo, que estamos buscando un paquete con una funcionalidad de envío de correo electrónico. Aquí es donde el gran tamaño del repositorio de Packagist podría llevarnos un tiempo para encontrar el paquete correcto. Afortunadamente, podemos usar Ordenar por descargas u Ordenar por favoritos para ayudarnos a nosotros mismos:

Una vez que hacemos clic en el paquete individual, podemos ver las versiones disponibles que podemos instalar:

Corriendo composer require swiftmailer/swiftmailer en este caso nos daría la última versión estable 5.4.6.
Una vez instalados, los paquetes pueden actualizarse posteriormente a posibles nuevas versiones estables simplemente ejecutando el comando de actualización del compositor dentro de la raíz del proyecto.

Comparte